Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.server.metaproject.impl
Class UserImpl

    java.lang.Object
      edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
          edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
              edu.stanford.smi.protege.server.metaproject.impl.UserImpl

All Implemented Interfaces:
  Localizable, User, Serializable

    public class UserImpl

extends WrappedProtegeInstanceWithPropsImpl
implements User, Serializable

See Also:
  Serialized Form

Constructor Summary
`protected` | `UserImpl(MetaProjectImpl mp, Instance ui)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getDescription()`
`String` | `getDigestedPassword()`
`String` | `getEmail()`
`Set<Group>` | `getGroups()`
`Date` | `getLastAccess()`
`Date` | `getLastLogin()`
`String` | `getName()`
`String` | `getSalt()`
`int` | `hashCode()`
`void` | `setDescription(String description)`
`void` | `setDigestedPassword(String hashedPassword, String salt)`
`void` | `setEmail(String email)`
`void` | `setLastAccess(Date time)`
`void` | `setLastLogin(Date time)`
`void` | `setName(String name)`
`void` | `setPassword(String password)`
`String` | `toString()`
`boolean` | `verifyPassword(String password)`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceWithPropsImpl
`addPropertyValue, addPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesAsString, removePropertyValue, removePropertyValue, setPropertyValue, setPropertyValues`

Methods inherited from class edu.stanford.smi.protege.server.metaproject.impl.WrappedProtegeInstanceImpl
`addSlotValue, getCls, getMetaProject, getProtegeCollection, getProtegeInstance, getSlotValue, getSlotValues, localize, removeSlotValue, setSlotValue, setSlotValuesAsProtegeInstances`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface edu.stanford.smi.protege.server.metaproject.User
`addPropertyValue, addPropertyValue, getPropertyValue, getPropertyValues, getPropertyValuesAsString, removePropertyValue, removePropertyValue, setPropertyValue, setPropertyValues`

Constructor Detail

### UserImpl

    protected UserImpl(MetaProjectImpl mp,
                       Instance ui)

Method Detail

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `User`

### getGroups

    public Set<Group> getGroups()

  Specified by:
    `getGroups` in interface `User`

### getLastAccess

    public Date getLastAccess()

  Specified by:
    `getLastAccess` in interface `User`

### getLastLogin

    public Date getLastLogin()

  Specified by:
    `getLastLogin` in interface `User`

### getName

    public String getName()

  Specified by:
    `getName` in interface `User`

### setDescription

    public void setDescription(String description)

  Specified by:
    `setDescription` in interface `User`

### setLastAccess

    public void setLastAccess(Date time)

  Specified by:
    `setLastAccess` in interface `User`

### setLastLogin

    public void setLastLogin(Date time)

  Specified by:
    `setLastLogin` in interface `User`

### setName

    public void setName(String name)

  Specified by:
    `setName` in interface `User`

### setPassword

    public void setPassword(String password)

  Specified by:
    `setPassword` in interface `User`

### verifyPassword

    public boolean verifyPassword(String password)

  Specified by:
    `verifyPassword` in interface `User`

### getEmail

    public String getEmail()

  Specified by:
    `getEmail` in interface `User`

### setEmail

    public void setEmail(String email)

  Specified by:
    `setEmail` in interface `User`

### getSalt

    public String getSalt()

  Specified by:
    `getSalt` in interface `User`

### getDigestedPassword

    public String getDigestedPassword()

  Specified by:
    `getDigestedPassword` in interface `User`

### setDigestedPassword

    public void setDigestedPassword(String hashedPassword,
                                    String salt)

  Specified by:
    `setDigestedPassword` in interface `User`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `WrappedProtegeInstanceImpl`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `WrappedProtegeInstanceImpl`

### toString

    public String toString()

  Overrides:
    `toString` in class `WrappedProtegeInstanceImpl`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.